summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/maven_push_functions.sh
diff options
context:
space:
mode:
authorC.J. Collier <cjcollier@linuxfoundation.org>2016-06-21 15:16:15 -0700
committerC.J. Collier <cjcollier@linuxfoundation.org>2016-06-21 15:16:15 -0700
commit89aca902d959d253c4ceec775f336c1f7c497010 (patch)
treeab2c9532c1adf87e1bb5e1f3c9f09e9d25999d1e /jjb/scripts/maven_push_functions.sh
parent6a29c9aee643188e83e8de7f8869de4bf7992a19 (diff)
Correct jjb and mvn parameters for honeycomb deployment
* remove deprecated MaxPermSize argument from mvn * add repo-name parameter to job template definition Change-Id: Ic202a8cbf56df52970c22996980206ce3849e1a3 Signed-off-by: C.J. Collier <cjcollier@linuxfoundation.org>
Diffstat (limited to 'jjb/scripts/maven_push_functions.sh')
-rw-r--r--jjb/scripts/maven_push_functions.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/jjb/scripts/maven_push_functions.sh b/jjb/scripts/maven_push_functions.sh
index 2d6ae791f..ad6248cf7 100644
--- a/jjb/scripts/maven_push_functions.sh
+++ b/jjb/scripts/maven_push_functions.sh
@@ -24,12 +24,16 @@ function push_file ()
version=$4
artifactId=$5
file_type=$6
- classifier=$7
- if [ "$classifier" ]; then
+ if [ -n "$7" ]; then
d_classifier="-Dclassifier=$7"
fi
+ if [ ! -f "$push_file" ] ; then
+ echo "file for deployment does not exist: $push_file"
+ exit 1;
+ fi
+
# Disable checks for doublequote to prevent glob / splitting
# shellcheck disable=SC2086
$MVN org.apache.maven.plugins:maven-deploy-plugin:deploy-file \